{{ define "main" }}
{{ $shortName := default .Params.Name .Params.ShortName }}
<main>
  <div id='contentheader'>
    <div id='title'>
      <h1>{{ .Params.name }}</h1>
      <h3>{{ .Summary }}</h3>
      <h4>With {{ default "us" .Site.Params.Team }} {{ dateFormat "January 2006" .Params.Start }}{{ if .Params.End }} to {{ dateFormat "January 2006" .Params.End }}{{ else }} onward{{end}}</h3>
    </div><div id='info'>  {{/* could be `class='info'` */}}
      {{- if .Page.Params.wai -}}
        {{- $default_style := "dl{font-family:sans-serif}dt{font-weight:bold}dd{margin:0;padding-bottom:2px}" -}}
        {{- $style := default $default_style .Site.Params.wai_style -}}
      <embed type='text/html' src='{{ .Site.Params.wai }}/users/{{ .Params.wai }}?style={{ $style }}' />
      {{ end -}}
    </div>
  </div>

  {{- if .Params.photo }}
  <div id='author-image'>
  <img id='author' src="{{ .Params.photo }}" title="{{ .Params.name }}"/>
  </div>
  {{ end -}}

  {{ .Content }}

	{{ if (or .Params.linkedin .Params.twitter .Params.mastodon) }}
	<p>Connect with {{ $shortName }}:</p>
	<ul>

		{{ with .Params.linkedin }}
		<li>
			<a target="_blank" href="https://www.linkedin.com/in/{{ . }}/">On LinkedIn</a>
		</li>
		{{ end }}

		{{ with .Params.twitter }}
    <li>
      <a target="_blank" href="https://twitter.com/{{ . }}">On Twitter</a>
    </li>
		{{ end }}

		{{ with .Params.mastodon }}
		{{ $mastoparts := split . "/" }}
		{{ $mastoserver := index $mastoparts 0 }}
		{{ $mastoname := index $mastoparts 1 }}
    <li>
      <a target="_blank" href='https://{{ $mastoserver }}/@{{ $mastoname }}'>
        On Mastodon
      </a>
    </lli>
		{{ end }}

	</ul>
	{{ end }}

  {{ if .Data.Pages }}
  <h2>Articles</h2>
  <ul>
  {{ range .Data.Pages }}
      <li><a href="{{ .Permalink }}">{{ .Title }}</a></li>
  {{ end }}
  </ul>
  {{ end }}

</main>

{{ end }}
